﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Http;
using System.Web.Http;
using Microsoft.Owin.Security.OAuth;
using Newtonsoft.Json.Serialization;

namespace QuikESignTransport.PassThru
{
    public static class WebApiConfig
    {
        public static HttpConfiguration Register()
        {
            var config = new HttpConfiguration();
            SetupRoutes(config);
            return config;
        }

        public static void SetupRoutes(HttpConfiguration config)
        {
            config.MapHttpAttributeRoutes();
            config.Routes.MapHttpRoute(
                name: "RestAPI",
                routeTemplate: "{controller}/{action}/{id}",
                defaults: new { id = RouteParameter.Optional }
            );
           
            config.Routes.MapHttpRoute(
                name: "Post",
                routeTemplate: "{controller}",
                defaults: new { id = RouteParameter.Optional }
            );
        }
 

    }
}
